# E:/uas2/Server/Allegiance.cpp File Reference

`#include "Allegiance.h"`
`#include "Client.h"`
`#include "Database.h"`
`#include "MasterServer.h"`
`#include "WorldManager.h"`

## Detailed Description

Implements general functionality for allegiances (hierarchical character alliances/monarchies/guilds).

TODO: Separate static and non-static (instance-based) functions. (Static functions should probably be in an allegiance manager file.)